Langsung ke konten
Bitaloka Docs
Atur PDF

Atur PDF

Susun ulang, putar, atau hapus halaman.

Permintaan

POST https://api.bitaloka.io/v1/pdf/organize
Form multipart→ application/pdf

Parameter

NamaTipeDeskripsi
filewajib File PDF The PDF to process (multipart file field).Contoh: document.pdf
orderwajib teks New page order, e.g. 3,1,2.Contoh: 2,1

Contoh kode

Dihasilkan dari satu sumber dan diuji terhadap API langsung.

curl -sS -X POST "https://api.bitaloka.io/v1/pdf/organize" \
  -H "X-API-Key: $BITALOKA_API_KEY" \
  -F "file=@document.pdf;type=application/pdf" \
  -F 'order=2,1' \
  --fail-with-body -o organized.pdf

Menggunakan: curl 7.x+ · example.sh

Respons

Mengembalikan file hasil proses sebagai application/pdf. Contoh kode menyimpannya sebagai organized.pdf.

Gunakan dari agen AI

Di server MCP Bitaloka, layanan ini adalah alat pdf_organize. Server MCP →

Layanan terkait